# Expand the storage volume of a database (grow only, max 200Gi) Source: https://docs.orchard.hackclub.com/api/operations/databases_storage_update/ `PATCH /apiv1/databases/{id}/storage` Operation ID: `databases_storage_update` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "properties": { "storageSize": { "pattern": "^\\d+(Mi|Gi|Ti)$", "type": "string" } }, "required": [ "storageSize" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "previousSize": { "type": [ "string", "null" ] }, "storageSize": { "type": "string" }, "warning": { "type": [ "string", "null" ] } }, "required": [ "storageSize", "warning" ], "type": "object" } ```